AbstractLocalAwareExecutorService (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.concurrent

## Class AbstractLocalAwareExecutorService

- java.lang.Object
- - org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService

- All Implemented Interfaces:
    java.util.concurrent.Executor, java.util.concurrent.ExecutorService, LocalAwareExecutorService
  Direct Known Subclasses:
    SEPExecutor

      public abstract class AbstractLocalAwareExecutorService
      extends java.lang.Object
      implements LocalAwareExecutorService

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractLocalAwareExecutorService()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `addTask(org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<?> futureTask)`
    `void` | `execute(java.lang.Runnable command)`
    `void` | `execute(java.lang.Runnable command, ExecutorLocals locals)`
    `<T> java.util.List<java.util.concurrent.Future<T>>` | `invokeAll(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)`
    `<T> java.util.List<java.util.concurrent.Future<T>>` | `invokeAll(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks, long timeout, java.util.concurrent.TimeUnit unit)`
    `<T> T` | `invokeAny(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)`
    `<T> T` | `invokeAny(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks, long timeout, java.util.concurrent.TimeUnit unit)`
    `protected <T> org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<T>` | `newTaskFor(java.util.concurrent.Callable<T> callable)`
    `protected <T> org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<T>` | `newTaskFor(java.lang.Runnable runnable, T result)`
    `protected <T> org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<T>` | `newTaskFor(java.lang.Runnable runnable, T result, ExecutorLocals locals)`
    `protected abstract void` | `onCompletion()`
    `<T> org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<T>` | `submit(java.util.concurrent.Callable<T> task)` Task Submission / Creation / Objects
    `org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<?>` | `submit(java.lang.Runnable task)`
    `<T> org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<T>` | `submit(java.lang.Runnable task, T result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.cassandra.concurrent.LocalAwareExecutorService

      `maybeExecuteImmediately`

    - ### Methods inherited from interface java.util.concurrent.ExecutorService

      `awaitTermination, isShutdown, isTerminated, shutdown, shutdownNow`

- - ### Constructor Detail

    - #### AbstractLocalAwareExecutorService

          public AbstractLocalAwareExecutorService()

  - ### Method Detail

    - #### addTask

          protected abstract void addTask(org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<?> futureTask)

    - #### onCompletion

          protected abstract void onCompletion()

    - #### submit

          public <T> org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<T> submit(java.util.concurrent.Callable<T> task)

      Task Submission / Creation / Objects
      Specified by:
        `submit` in interface `java.util.concurrent.ExecutorService`

    - #### submit

          public org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<?> submit(java.lang.Runnable task)

      Specified by:
        `submit` in interface `java.util.concurrent.ExecutorService`

    - #### submit

          public <T> org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<T> submit(java.lang.Runnable task,
                                                                                                            T result)

      Specified by:
        `submit` in interface `java.util.concurrent.ExecutorService`

    - #### invokeAll

          public <T> java.util.List<java.util.concurrent.Future<T>> invokeAll(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)

      Specified by:
        `invokeAll` in interface `java.util.concurrent.ExecutorService`

    - #### invokeAll

          public <T> java.util.List<java.util.concurrent.Future<T>> invokeAll(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks,
                                                                              long timeout,
                                                                              java.util.concurrent.TimeUnit unit)
                                                                       throws java.lang.InterruptedException

      Specified by:
        `invokeAll` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`

    - #### invokeAny

          public <T> T invokeAny(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks)
                          throws java.lang.InterruptedException,
                                 java.util.concurrent.ExecutionException

      Specified by:
        `invokeAny` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`
        `java.util.concurrent.ExecutionException`

    - #### invokeAny

          public <T> T invokeAny(java.util.Collection<? extends java.util.concurrent.Callable<T>> tasks,
                                 long timeout,
                                 java.util.concurrent.TimeUnit unit)
                          throws java.lang.InterruptedException,
                                 java.util.concurrent.ExecutionException,
                                 java.util.concurrent.TimeoutException

      Specified by:
        `invokeAny` in interface `java.util.concurrent.ExecutorService`
      Throws:
        `java.lang.InterruptedException`
        `java.util.concurrent.ExecutionException`
        `java.util.concurrent.TimeoutException`

    - #### newTaskFor

          protected <T> org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<T> newTaskFor(java.lang.Runnable runnable,
                                                                                                                   T result)

    - #### newTaskFor

          protected <T> org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<T> newTaskFor(java.lang.Runnable runnable,
                                                                                                                   T result,
                                                                                                                   ExecutorLocals locals)

    - #### newTaskFor

          protected <T> org.apache.cassandra.concurrent.AbstractLocalAwareExecutorService.FutureTask<T> newTaskFor(java.util.concurrent.Callable<T> callable)

    - #### execute

          public void execute(java.lang.Runnable command)

      Specified by:
        `execute` in interface `java.util.concurrent.Executor`

    - #### execute

          public void execute(java.lang.Runnable command,
                              ExecutorLocals locals)

      Specified by:
        `execute` in interface `LocalAwareExecutorService`

Copyright © 2018 The Apache Software Foundation